Package org.apache.lucene.analysis.morph

# Class GraphvizFormatter<T extends MorphData>

java.lang.Object
org.apache.lucene.analysis.morph.GraphvizFormatter<T>

public class GraphvizFormatter<T extends MorphData> extends Object
Outputs the dot (graphviz) string for the viterbi lattice.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `GraphvizFormatter.DictionaryProvider<T extends MorphData>`
  `Dictionary` provider

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GraphvizFormatter(ConnectionCosts costs)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `finish()`
  `void`
  `onBacktrace(GraphvizFormatter.DictionaryProvider<T> dictProvider, Viterbi.WrappedPositionArray<? extends Viterbi.Position> positions, int lastBackTracePos, Viterbi.Position endPosData, int fromIDX, char[] fragment, boolean isEnd)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GraphvizFormatter

    public GraphvizFormatter(ConnectionCosts costs)

- ## Method Details

  - ### finish

    public String finish()

  - ### onBacktrace

    public void onBacktrace(GraphvizFormatter.DictionaryProvider<T> dictProvider, Viterbi.WrappedPositionArray<? extends Viterbi.Position> positions, int lastBackTracePos, Viterbi.Position endPosData, int fromIDX, char[] fragment, boolean isEnd)